using PageAdmin.BLL;using PageAdmin.Filter;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using PageAdmin.Common;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class FriendsController : BaseController
    {
        FriendsBLL BLL = new FriendsBLL();
        public FriendsController():base("pa_friends", "Work")
        {
            base.MvcContext.SqlCondition= "uid=" + base.CurrentUser.Uid;
            base.MvcContext.ListOrder = "id desc";
            base.ListDataExecuting = new Action(SelectUid);
        }
        public void SelectUid()
        {
            MemberBLL memberBLL = new MemberBLL();
            string where = memberBLL.SelectUid("owner_uid");
            if (where!="")
            {
                base.MvcContext.SqlCondition += " and " + where;
            }
        }

        public ActionResult Tabhead()
        {
            return View();
        }
        public ActionResult SelectFriends()
        {
            return View();
        }
        public string FriendsJson()
        {
            //return Json(BLL.FriendsJson());
            return null;
        }

    }
}